View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17698Bug reportsUser / Groups / Rolespublic2021-11-26 16:11
Reportertammo Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status reviewResolutionfixed 
Product Version5.x 
Summary17698: Change of email address for survey administrator confusing
DescriptionI forgot to enter the right email address for the admin user. After some searching I did find the place to change the address/password, but this page is confusing.
Steps To ReproduceSteps to reproduce
------------------------------
Install LS and keep admin email address default

Expected result
-------------------------
Find a place where to edit the admin email address when logged in as admin

Actual result
-----------------
Confusing screen.
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Version 5.1.17+211025
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMySQL
Server OS (if known)Centos
Webserver software & version (if known)Apache
PHP Version7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tammo

tammo

2021-11-04 20:39

developer  

LS5-Respondage (1).png (27,232 bytes)   
LS5-Respondage (1).png (27,232 bytes)   
galads

galads

2021-11-05 08:46

administrator   ~67125

Thank you for reporting this bug. I actually never noticed this because I never had reasons to test email functionality.
DenisChenu

DenisChenu

2021-11-05 10:22

developer   ~67130

Last edited: 2021-11-05 16:20

I n your user management , after click on button.
galads

galads

2021-11-05 10:33

administrator   ~67132

Last edited: 2021-11-05 16:20

You are right. Can be changed from the account section. However, I think it should be possible to change the email without changing the password.

Right now, you have to change the password also if you only want to change the email.
tammo

tammo

2021-11-05 10:44

developer   ~67133

Last edited: 2021-11-05 16:20

I had not found this, because I did not want to change the password.

In many systems you do have to enter the password when changing the email address, I think that is a good security measure. But having to change the password in order to be able to change the email address is silly, I think.
DenisChenu

DenisChenu

2021-11-05 11:04

developer   ~67134

Last edited: 2021-11-05 16:20

You have to change password ?
You can not leave it empty ?

This is an issue : maybe 2 different button needed ?
tammo

tammo

2021-11-05 16:12

developer   ~67137

Last edited: 2021-11-05 16:20

You are right, I do not have to change the password for changing the email. That is OK. Confusing is the placement of the fields. I added a suggestion.
email.png (38,129 bytes)   
email.png (38,129 bytes)   
DenisChenu

DenisChenu

2021-11-05 16:14

developer   ~67139

Last edited: 2021-11-05 16:20

> That is OK. Confusing is the placement of the fields. I added a suggestion.

New bug report maybe ?

Or edit this one :
Summary
Description
Steps To Reproduce
DenisChenu

DenisChenu

2021-11-05 16:16

developer   ~67140

Last edited: 2021-11-05 16:20

PS : for placement

2 columns are really not the best way here
1. Current password
2. New + confirm

And a Second button with
1. Current password
2. New email
tammo

tammo

2021-11-05 16:21

developer   ~67143

I agree with Denis, two buttons is less confusing.
DenisChenu

DenisChenu

2021-11-05 16:39

developer   ~67144

@galads : 2 buttons ?
Update this issue or create a new one ?

Clearly : an ergonomic issue here (2 power user don't found it)
tammo

tammo

2021-11-05 16:47

developer   ~67145

When you start changing this small part of the user interface, please also look at the profile screen and add the email address.

Not showing that on the profile screens requires you to start the dialogue for changing, possibly to find out that the email address is already correct.
email-2.png (15,699 bytes)   
email-2.png (15,699 bytes)   
DenisChenu

DenisChenu

2021-11-05 16:48

developer   ~67146

email adress as readonly ? or static ?
tammo

tammo

2021-11-05 16:54

developer   ~67147

Static or readonly, yes, because the changing takes place after clicking the button.
galads

galads

2021-11-08 06:35

administrator   ~67153

@DenisChenu , please update this task instead of creating a new one.
DenisChenu

DenisChenu

2021-11-08 08:53

developer   ~67164

seems @tammo already update it : currently : this is confusing ;)
tammo

tammo

2021-11-09 08:39

developer   ~67190

I updated because Denis suggested me to do so. What needs to be done now? I cannot solve this.
galads

galads

2021-11-09 11:15

administrator   ~67207

@tammo , all good. I will assign the task internally for further action. Thank you for reporting.
gabrieljenik

gabrieljenik

2021-11-23 13:49

manager   ~67504

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2152
DenisChenu

DenisChenu

2021-11-23 14:07

developer   ~67505

@gabrieljenik a little screenshot (or more) of the new version ?
galads

galads

2021-11-24 11:53

administrator   ~67531

Here is a screenshot
Selection_219.png (39,295 bytes)   
Selection_219.png (39,295 bytes)   
DenisChenu

DenisChenu

2021-11-24 11:55

developer   ~67532

Seems great !
And each button show a password confirmation input ?
galads

galads

2021-11-24 12:08

administrator   ~67533

Yeah
tammo

tammo

2021-11-24 12:29

developer   ~67534

!!
gabrieljenik

gabrieljenik

2021-11-26 16:11

manager   ~67592

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33004

Related Changesets

LimeSurvey: master 8a093fdc

2021-11-26 16:11:39

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17698: Change of email address for survey administrator confusing (#2152)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17698
mod - application/controllers/admin/useraction.php Diff File
mod - application/views/admin/user/personalsettings.php Diff File
add - assets/scripts/admin/personalsettings.js Diff File

Issue History

Date Modified Username Field Change
2021-11-04 20:39 tammo New Issue
2021-11-04 20:39 tammo File Added: LS5-Respondage (1).png
2021-11-05 08:46 galads Note Added: 67125
2021-11-05 08:46 galads Bug heat 0 => 2
2021-11-05 08:46 galads Assigned To => galads
2021-11-05 08:46 galads Status new => confirmed
2021-11-05 08:46 galads Steps to Reproduce Updated View Revisions
2021-11-05 10:22 DenisChenu Note Added: 67130
2021-11-05 10:22 DenisChenu File Added: Capture d’écran du 2021-11-05 10-22-00.png
2021-11-05 10:22 DenisChenu Bug heat 2 => 4
2021-11-05 10:22 DenisChenu Assigned To galads => tammo
2021-11-05 10:22 DenisChenu Status confirmed => feedback
2021-11-05 10:33 galads Note Added: 67132
2021-11-05 10:44 tammo Note Added: 67133
2021-11-05 10:44 tammo Bug heat 4 => 6
2021-11-05 11:04 DenisChenu Note Added: 67134
2021-11-05 16:12 tammo Note Added: 67137
2021-11-05 16:12 tammo File Added: email.png
2021-11-05 16:14 DenisChenu Note Added: 67139
2021-11-05 16:16 DenisChenu Note Added: 67140
2021-11-05 16:20 tammo Summary Cannot change admin email address => Change of email address for survey administrator confusing
2021-11-05 16:20 tammo Description Updated View Revisions
2021-11-05 16:20 tammo Steps to Reproduce Updated View Revisions
2021-11-05 16:21 tammo Note Added: 67143
2021-11-05 16:39 DenisChenu Note Added: 67144
2021-11-05 16:47 tammo Note Added: 67145
2021-11-05 16:47 tammo File Added: email-2.png
2021-11-05 16:48 DenisChenu Note Added: 67146
2021-11-05 16:54 tammo Note Added: 67147
2021-11-08 06:35 galads Note Added: 67153
2021-11-08 08:53 DenisChenu Note Added: 67164
2021-11-09 08:39 tammo Note Added: 67190
2021-11-09 11:15 galads Note Added: 67207
2021-11-09 11:15 galads Status feedback => confirmed
2021-11-23 13:49 gabrieljenik Note Added: 67504
2021-11-23 13:49 gabrieljenik Bug heat 6 => 8
2021-11-23 14:07 DenisChenu Note Added: 67505
2021-11-24 11:53 galads Note Added: 67531
2021-11-24 11:53 galads File Added: Selection_219.png
2021-11-24 11:53 galads Status confirmed => review
2021-11-24 11:55 DenisChenu Note Added: 67532
2021-11-24 12:08 galads Note Added: 67533
2021-11-24 12:29 tammo Note Added: 67534
2021-11-26 16:11 gabrieljenik Changeset attached => LimeSurvey master 8a093fdc
2021-11-26 16:11 gabrieljenik Note Added: 67592
2021-11-26 16:11 gabrieljenik Assigned To tammo => gabrieljenik
2021-11-26 16:11 gabrieljenik Resolution open => fixed